## org.apache.fop.fo.expr
Class FunctionBase

    java.lang.Object
      |
      +--org.apache.fop.fo.expr.FunctionBase

Direct Known Subclasses:
  AbsFunction, FopPropValFunction, FromParentFunction, FromTableColumnFunction, InheritedPropFunction, MaxFunction, MinFunction, NearestSpecPropFunction, PPColWidthFunction

public abstract class FunctionBase
extends java.lang.Object
implements Function

Constructor Summary
`FunctionBase()`

Method Summary
`PercentBase` `getPercentBase()` By default, functions have no percent-based arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionBase

    public FunctionBase()

Method Detail

### getPercentBase

    public PercentBase getPercentBase()

  By default, functions have no percent-based arguments.
  Specified by:
    getPercentBase in interface Function

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.